Announcement

Collapse
No announcement yet.

To upgrade, or not to upgrade?

Collapse
X
Collapse
 

  • TheLastSuperman
    started a blog post To upgrade, or not to upgrade?

    To upgrade, or not to upgrade?

    With the recent release of vBulletin 5 quite a few customers are finding themselves at a crossroads of sorts... "To upgrade, or not to upgrade" which seems to be the question! Some are able to upgrade when a new version is released without experiencing any issues which is fantastic! Often times though I encounter owners who have customized sites, and then some who are not as experienced with the software as others, cannot do the upgrades themselves or simply cannot afford to pay someone to upgrade their software frequently.

    *As a Staff member I must on occasion specifically mention when something is my strict opinion and when it's actually meant to be taken as "on behalf" of the company, basically this entire blog post is my opinion or what I'll refer to as a "Good Rule of Thumb" for those who are on a budget in a sense.

    A Good Rule of Thumb
    I recommend that no owner lets their site become outdated by more than three (3) versions.

    Let's see an example: vBulletin 4.x
    The Current Version is 4.2
    Prior versions: 4.1.12, 4.1.11, 4.1.10, 4.1.9, etc

    ^ Based on the information provided we are safe to assume that IF we are on 4.1.10 and no lower, that we *should* have a stable and secure version running on our server (**Always ensure no matter what, that your running the latest "Patch Level" release, if your running 4.1.9 only and it does not say "4.1.9 Patch Level 4" in the AdminCP top left corner then your running 4.1.9 "unsecurely"). If the current version were 4.3 at the time of this Blog post then yes, you would want to be on 4.1.11 not 4.1.10 per my rule of thumb.

    Pros & Cons
    Pro: Some owners like to have the most current version installed the second it's released, that's not a bad thing at all and some pride themselves on being able to run the best at all time, bravo and good job is all we should say - props where they are due I always say!
    Con: If this is "Beta" software, it could cause issues if for example your upgrading a live (production) site.
    Con: Bugs! Yes I said bugs, pests just like their insect counterparts! I tend to wait at least 1 full week before upgrading to a new version, giving plenty of time for any "major" bugs to be reported that I *might* dislike entirely!
    Con: The most recent version of any software (I would say other than Beta versions) *should* be 100% up to date and as fully secure as possible. Some could view not running the current version as a security risk, I tend to agree to a certain extent other than Beta versions.
    Con: Are your modifications AND/OR style compatible with this new version? Make a Test Site to ensure everything will go smoothly in the new version otherwise there could be issues.

    • digitalpoint
      #4
      digitalpoint commented
      Editing a comment
      If you if you apply that same recommendation of never being more than 3 versions out of date to your server software, you would end up with a non-functioning vBulletin since the oldest of the 3 versions of PHP is 5.4.3. Unfortunately vBulletin doesn't work with the latest stable versions of PHP (5.4.x).

    • Gerry5039
      #5
      Gerry5039 commented
      Editing a comment
      I like what I have read on here from the staff, fair and concise, I will be sticking with VB4.2 because I only bought it three months ago, and my budget does not go to changing all the time. I asked the specific question 3 months ago "when will VB5 coming out", the answer I got was we don't know VB5 has been out now about 6 weeks but they did not know 6 weeks before that they were going to release it. Now after 3 months I have to pay again for VB5 after just paying a premium price for VB4.2. Where please is the fairness in that.

    • ANGLICO
      #6
      ANGLICO commented
      Editing a comment
      My website launched on 10 Nov 2008 and runs under vB 3.7.4. It is a non-profit site for veterans, I work for a living and spend most of my spare time doing volunteer work or enjoying my grandkids. The site worked flawlessly until recently, and so the consensus among members was to leave it alone.

      I took advantage of the pre-release discount for vB 4.0, but for the reasons stated above, never tried to migrate this website.

      The php code that runs 3.7.4 has become obsolete, and my host upgraded it's php version. My forum crashed, but they implemented a temporary fix.

      Now, I have made inquiries about someone both competent and trustworthy (with references) from whom I could obtain an estimate for migrating my forum. I have had no success whatsoever. We have accumulated a lot of military history on this site, and reconnected a lot of old friends. It would be a shame to see it go.

      Any ideas as to how I might locate a reliable consultant to assist with migration? I've looked as time permits for a long time.

      Thanks,

      Vance Hall
      Tulsa, OK
    Posting comments is disabled.

Related Topics

Collapse

Working...
X